All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
fill.hpp File Reference

Generic fill functionality for different matrix types. More...

`#include <string>`
`#include <fstream>`
`#include <sstream>`
`#include "viennacl/forwards.h"`
`#include "viennacl/meta/result_of.hpp"`
`#include <vector>`
`#include <map>`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::traits
| Namespace providing traits-information as well as generic wrappers to common routines for vectors and matrices such as size() or clear()

## Functions

template<typename MatrixType , typename NumericT >
void | viennacl::traits::fill (MatrixType &matrix, vcl_size_t row_index, vcl_size_t col_index, NumericT value)
| Generic filler routine for setting an entry of a matrix to a particular value. More...

## Detailed Description

Generic fill functionality for different matrix types.

Definition in file fill.hpp.